{% load panel_helpers %}
<div class="card-body">
  {% with user=ev.user %}
  <div class="add-bottom-margin">
    <h4 class="normal remove-top-margin add-label-margin">
      {{ user.first_name }} {{ user.last_name }} ({{ user.reviewer.affiliation }})
    </h4>
    {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
      <a href="mailto:{{ user.email }}" class="link-muted">{{ user.email }}</a>
    {% endif %}
  </div>

  {% if ev.rating %}
  <p>
    <span class="gel-banner {{ ev|evaluation_rating_class }}">{{ ev|evaluation_rating_name }}</span>
  </p>
  {% endif %}

  {% for comment in ev.comments.all %}
    <blockquote class="add-top-margin add-bottom-margin blockquote border-start border-5 ps-3 py-2" id="comment_{{ comment.pk }}">
      {{ comment.comment|linebreaksbr|urlize }}
      <h6 class="add-top-margin">Created: {{ comment.created|date:'DATETIME_FORMAT' }} {% if comment.last_updated %}| Last Modified: {{ comment.last_updated|date:'DATETIME_FORMAT' }} {% endif %}</h6>
      {% if comment.version %}<h6>Panel Version: {{ comment.version }}</h6>{% endif %}
      {% if request.user == user and panel and entity %}
        <a
          href="#"
          hx-get="{% url 'panels:edit_comment_by_user' panel.panel_id entity_type entity_name comment.pk %}"
          class="btn btn-outline-light-panelapp btn-xs"
          hx-target="#comment_{{ comment.pk }}"
          hx-swap="innerHTML"
          hx-disabled-elt="this"
        >
          Edit your comment
        </a>
        <a
          href="#"
          hx-get="{% url 'panels:delete_comment_by_user' panel.panel_id entity_type entity_name comment.pk %}"
          class="btn btn-outline-light-panelapp btn-xs"
          hx-swap="none"
          hx-disabled-elt="this"
        >
          {% include "panels/entity/button_loading_content.html" with text="Delete comment" %}
        </a>
      {% endif %}
    </blockquote>
  {% endfor %}
  {% endwith %}

  {% if ev.moi %}
    <p>
      <strong>Mode of inheritance</strong><br>
      {{ ev.moi }}
    </p>
  {% endif %}

  {% if ev.phenotypes %}
    <p>
      <strong>Phenotypes</strong><br>
      {{ ev.phenotypes|join:"; " }}
    </p>
  {% endif %}

  {% if ev.publications %}
    <p>
      <strong>Publications</strong>
      <ul>
        {% for publication in ev.publications %}
          <li>{{ publication|pubmed_link|join:'' }}</li>
        {% endfor %}
      </ul>
    </p>
  {% endif %}

  {% if ev.mode_of_pathogenicity %}
    <p>
      <strong>Mode of pathogenicity</strong><br>
      {{ ev.mode_of_pathogenicity }}
    </p>
  {% endif %}

  {% if ev.current_diagnostic  %}
    <p>Variants in this {{ entity_type|upper }} are reported as part of current diagnostic practice</p>
  {% endif %}

  {% if ev.clinically_relevant %}
      <strong>Clinically Relevant</strong><br>
      <p>Interruptions in the repeated sequence are reported as part of standard diagnostic practise</p>
  {% endif %}
</div>

{% if ev.version or ev.original_panel %}
<div class="card-footer">
  Created: {{ ev.created|date:'DATETIME_FORMAT' }}<br>
    {% if ev.last_updated %}Last Modified: {{ ev.last_updated|date:'DATETIME_FORMAT' }} {% endif %}<br>
  {% if ev.original_panel %}
      <strong>Copied from panel: </strong>{{ ev.original_panel }}
  {% elif ev.version %}
      <strong>Panel version: </strong>{{ ev.version }}
  {% endif %}
</div>
{% endif %}
